Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class ContextException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.portal.context.ContextException

All Implemented Interfaces:
  Serializable

    public class ContextException

extends Exception

`ContextException` an exception.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`ContextException()` Creates a new instance of `CatalogClientException` without detail message.
`ContextException(String msg)` Constructs an instance of `CatalogClientException` with the specified detail message.
`ContextException(String msg, Exception e)` Constructs an instance of `CatalogClientException` with the specified detail message.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextException

    public ContextException()

  Creates a new instance of `CatalogClientException` without detail message.

### ContextException

    public ContextException(String msg)

  Constructs an instance of `CatalogClientException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### ContextException

    public ContextException(String msg,
                            Exception e)

  Constructs an instance of `CatalogClientException` with the specified detail message.

  Parameters:
    `msg` - the detail message.
    `e` - which caused the exception.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org